> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/changelogs/version-7/v7-3/v7-3-2.md).

# Version 7.3.2 Changelog (2021-05-11)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

## WebViewer Core

### Fixes

* Fixed issue with pasting in a freetext annotation in IE11
* Fixed issue with using parseInt in an embedded JS script
* Fixed issue where the value of event.change wasn't set for combo box keystroke events
* Fixed issue where the `fallbackToClientSide` option wasn't working properly with WebViewer Server
* Fixed issue where programmatically created freetext annotations weren't able to be downloaded
* Fixed issue with the `TRN_ENABLE_AUTH_SESSION` option on WebViewer Server
* Fixed issue where colors on file attachment annotations with the paperclip icon weren't working
* Fixed issue with opening PDFs that have a calculation order with null values
* Fixed issue with custom appearances on signatures not being displayed correctly
* Fixed issue where `document.getPrintablePDF` was not throwing an error when the browser was offline
* Fixed issue with page operations and WebViewer Server
* Fixed issue where the incorrect matrix and rotation values could be used temporarily when loading a document with WebViewer Server
* Fixed issue where after serialize is called on a freetext annotation it updates the DateModified property
* Fixed issue where loading a document with WebViewer Server would sometimes have an "Unknown page id" error
* Fixed issue where an error would be thrown when trying to run an embedded script that failed to compile

## WebViewer UI

### Fixes

* Fixed issue where buttons inside comments in the notes panel were not able to be focused with tab
* Fixed issue where selecting a grouped annotation doesn't scroll to the parent comment in the notes panel
* Fixed issue where text on a comment in the notes panel was not able to be selected and copied
* Fixed issue where the zoom level popup was not closed when selecting a new zoom level
* Fixed issue where the current page would not automatically be visible in the thumbnails panel
* Fixed issue where saving annotations comments didn't work well when there were many annotations in the document
* Fixed issue where the active search result did not get automatically scrolled to
* Fixed issue where PDF wasn't loading when the UI was loaded outside of an iframe
* Fixed issue where changing the annotation fill or stroke wasn't working on tablets
* Fixed issue with annotation comment scrolling when saving the comment and there are many annotations in the document
* Fixed issue where an error could be thrown from the thumbnails panel after removing pages
* Fixed issue where annotations without a date weren't sorted properly
* Fixed issue where the link button was shown sometimes for sticky note annotations
* Fixed issue where comment replies could sometimes be edited by users other than the author
* Fixed issue where `selectThumbnailPages` was not able to select the very last page of the document
* Fixed issue where sometimes the notes panel would jump to the selected annotation when scrolling
* Fixed issue where if the notes panel is open and the user tries to open the search panel with a keyboard shortcut then it wouldn't work properly
* Fixed issue with access localStorage through an iframe
* Fixed issue where the virtual keyboard would appear automatically when opening the notes panel on mobile devices
* Fixed issue where the unlink button wasn't working correctly in all cases


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/web/changelogs/version-7/v7-3/v7-3-2.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
